Bug 13020 - Xconfigurator dumps core
Xconfigurator dumps core
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Depends On:
  Show dependency treegraph
Reported: 2000-06-25 14:39 EDT by Sam Varshavchik
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-21 22:29:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Stack trace of the coredump (1.89 KB, text/plain)
2000-06-25 14:41 EDT, Sam Varshavchik
no flags Details
strace log (49.13 KB, text/plain)
2000-07-21 22:29 EDT, Sam Varshavchik
no flags Details

  None (edit)
Description Sam Varshavchik 2000-06-25 14:39:49 EDT
Attempted to repair a botched XF86Config by the installer (see bug 13018). 
This was a fresh graphical install.

Xconfigurator complains that there's no soft link from
/usr/X11R6/lib/X11/XF86Config to /etc/X11/XF86Config, gives two options:
create the soft link, don't create the soft link.

"Don't create soft link" dumps core immediately.  See attachment.
Comment 1 Sam Varshavchik 2000-06-25 14:41:19 EDT
Created attachment 719 [details]
Stack trace of the coredump
Comment 2 Bill Nottingham 2000-07-03 01:14:02 EDT
Reassigned to Xconfigurator.
Comment 3 Trond Eivind Glomsrxd 2000-07-12 11:52:08 EDT
Does this still happen in beta3?
Comment 4 Sam Varshavchik 2000-07-14 20:36:36 EDT
Yes, Xconfigurator in beta3 still dumps core in this situation.

The only difference is that the program counter on the stack backtrace is at

Comment 5 Glen Foster 2000-07-18 15:30:12 EDT
This defect is considered MUST-FIX for Winston Beta-5
Comment 6 Sam Varshavchik 2000-07-21 22:23:39 EDT
Xconfigurator in beta4 still dumps core if the soft link is missing, and you
choose the option to decline to create it.

strace attached.

Comment 7 Sam Varshavchik 2000-07-21 22:29:19 EDT
Created attachment 1448 [details]
strace log
Comment 8 Trond Eivind Glomsrxd 2000-07-22 19:18:19 EDT
Fixed in CVS.

Note You need to log in before you can comment on or make changes to this bug.